## gedit-encodings gedit-encodings |

## Functions

#define | GEDIT_TYPE_ENCODING
GType | gedit_encoding_get_type ()
GeditEncoding * | gedit_encoding_copy ()
void | gedit_encoding_free ()
const GeditEncoding * | gedit_encoding_get_from_charset ()
const GeditEncoding * | gedit_encoding_get_from_index ()
gchar * | gedit_encoding_to_string ()
const gchar * | gedit_encoding_get_name ()
const gchar * | gedit_encoding_get_charset ()
const GeditEncoding * | gedit_encoding_get_utf8 ()
const GeditEncoding * | gedit_encoding_get_current ()

## Types and Values

| GeditEncoding

## Object Hierarchy

        GBoxed
        ╰── GeditEncoding

## Description

## Functions

### GEDIT_TYPE_ENCODING

    #define GEDIT_TYPE_ENCODING     (gedit_encoding_get_type ())

### gedit_encoding_get_type ()

    GType
    gedit_encoding_get_type (void);

### gedit_encoding_copy ()

    GeditEncoding *
    gedit_encoding_copy (const GeditEncoding *enc);

### gedit_encoding_free ()

    void
    gedit_encoding_free (GeditEncoding *enc);

### gedit_encoding_get_from_charset ()

    const GeditEncoding *
    gedit_encoding_get_from_charset (const gchar *charset);

### gedit_encoding_get_from_index ()

    const GeditEncoding *
    gedit_encoding_get_from_index (gint index);

### gedit_encoding_to_string ()

    gchar *
    gedit_encoding_to_string (const GeditEncoding *enc);

### gedit_encoding_get_name ()

    const gchar *
    gedit_encoding_get_name (const GeditEncoding *enc);

### gedit_encoding_get_charset ()

    const gchar *
    gedit_encoding_get_charset (const GeditEncoding *enc);

### gedit_encoding_get_utf8 ()

    const GeditEncoding *
    gedit_encoding_get_utf8 (void);

### gedit_encoding_get_current ()

    const GeditEncoding *
    gedit_encoding_get_current (void);

## Types and Values

### GeditEncoding

    typedef struct _GeditEncoding GeditEncoding;